Subject: [clisp-list] Re: internal error in pathname.d

From: Sam Steingold <[email-masked]>
Date: Mon Oct 13 12:05:09 2003

> * Bruno Haible <[email-masked]> [2003-10-13 12:21:54 +0200]:
> Date: Saturday 11 October 2003 18:22
> From: "Jarek" <[email-masked]>
>
> I got the following error in CLisp (on Win XP):

what CLISP version?

> "*** - internal error: statement in file "pathname.d", line 4817 has been
>  reached!! Please send the authors of the program a description how you
>  produced this error!"
>
> That's what I did to produce it ;] :
>>(setq pathobj (make-pathname :device "D" :directory '(:absolute "Lisp"
>> :wild-inferiors "Examples") :name :wild :type "lisp"))
> (which produced the #P object correctly)

I get

#P"D:\\Lisp\\**\\Examples\\*.lisp"

>>(pathname-match-p pathobj "S")
> (where I got the error)

I get NIL.
I cannot reproduce this with clisp 2.31 on w2k.

can anyone reproduce this error?

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
I'm out of my mind, but feel free to leave a message...